Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# objectfactory.hh File Reference

An AtkObjectFactory C++ wrapper interface. More...

`#include <xfc/glib/object.hh>`
`#include <atk/atkobjectfactory.h>`
`#include <xfc/atk/inline/objectfactory.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Atk

## Classes

- class Xfc::Atk::ObjectFactory
    An AtkObjectFactory C++ wrapper class. More...

## Detailed Description

An AtkObjectFactory C++ wrapper interface.

Provides ObjectFactory, the base object class for a factory used to create accessible objects for objects of a specific GType.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3